Cyberpanel hakkında bilgi sahibi arkadaşlar - R10.net
  • 16-11-2019, 18:12:36
    #1
    Merhaba, LXC ve KVM olmak üzere iki farklı sistemede kurulum yapamadık.

    Kurulum hep aynı yerde sonlanıyor, selinux disabled.

    İstenen python sürümü mevcut, fakat hep hata alıyoruz.

    Error logs aşağıdadır.

    [11.16.2019_14-56-47] Starting CyberPanel installation..
    [11.16.2019_14-56-47] Running: dd if=/dev/zero of=/usr/.tempdisk bs=100M count=15
    [11.16.2019_14-56-50] Successfully ran: dd if=/dev/zero of=/usr/.tempdisk bs=100M count=15.
    [11.16.2019_14-56-50] Running: mkfs.ext4 -F /usr/.tempdisk
    [11.16.2019_14-56-50] Running: yum install sudo -y
    [11.16.2019_14-56-52] Successfully ran: yum install sudo -y.
    [11.16.2019_14-56-52] Running: useradd -s /bin/false cyberpanel
    [11.16.2019_14-56-52] Successfully ran: useradd -s /bin/false cyberpanel.
    [11.16.2019_14-56-52] Running: adduser docker
    [11.16.2019_14-56-52] Successfully ran: adduser docker.
    [11.16.2019_14-56-52] Running: groupadd docker
    [11.16.2019_14-56-52] [ERROR] We are not able to run groupadd docker return code: 9.
    [11.16.2019_14-56-52] Running: usermod -aG docker docker
    [11.16.2019_14-56-52] Successfully ran: usermod -aG docker docker.
    [11.16.2019_14-56-52] Running: usermod -aG docker cyberpanel
    [11.16.2019_14-56-52] Successfully ran: usermod -aG docker cyberpanel.
    [11.16.2019_14-56-52] Running: mkdir -p /etc/letsencrypt/live/
    [11.16.2019_14-56-52] Successfully ran: mkdir -p /etc/letsencrypt/live/.
    [11.16.2019_14-56-52] Running: yum update -y
    [11.16.2019_14-56-57] Successfully ran: yum update -y.
    [11.16.2019_14-56-57] Running: rpm -ivh https://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm
    [11.16.2019_14-56-58] Successfully ran: rpm -ivh https://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm.
    [11.16.2019_14-56-58] Running: yum -y install epel-release
    [11.16.2019_14-57-04] Successfully ran: yum -y install epel-release.
    [11.16.2019_14-57-04] Running: yum -y install python-pip
    [11.16.2019_14-57-05] Successfully ran: yum -y install python-pip.
    [11.16.2019_14-57-05] Running: yum -y install python-devel
    [11.16.2019_14-57-07] Successfully ran: yum -y install python-devel.
    [11.16.2019_14-57-07] Running: yum -y install gcc
    [11.16.2019_14-57-09] Successfully ran: yum -y install gcc.
    [11.16.2019_14-57-09] Running: yum -y install python-setuptools
    [11.16.2019_14-57-11] Successfully ran: yum -y install python-setuptools.
    [11.16.2019_14-57-11] Running: yum -y install MySQL-python
    [11.16.2019_14-58-08] Successfully ran: yum -y install MySQL-python.
    [11.16.2019_15-06-12] Starting CyberPanel installation..
    [11.16.2019_15-06-12] Running: dd if=/dev/zero of=/usr/.tempdisk bs=100M count=15
    [11.16.2019_15-06-17] Successfully ran: dd if=/dev/zero of=/usr/.tempdisk bs=100M count=15.
    [11.16.2019_15-06-17] Running: mkfs.ext4 -F /usr/.tempdisk
    [11.16.2019_15-06-17] Running: yum install sudo -y
    [11.16.2019_15-06-22] Successfully ran: yum install sudo -y.
    [11.16.2019_15-06-22] Running: useradd -s /bin/false cyberpanel
    [11.16.2019_15-06-22] [ERROR] We are not able to run useradd -s /bin/false cyberpanel return code: 9. Fatal error, see /var/log/installLogs.txt for full details.
    [11.16.2019_15-06-22] [ERROR] We are not able to run useradd -s /bin/false cyberpanel return code: 9. Fatal error, see /var/log/installLogs.txt for full details.
    [11.16.2019_15-06-22] [ERROR] setup_account_cyberpanel. 71
    [11.16.2019_15-06-22] Running: yum update -y
    [11.16.2019_15-07-12] Successfully ran: yum update -y.
    [11.16.2019_15-07-12] Running: rpm -ivh https://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm
    [11.16.2019_15-07-15] [ERROR] We are not able to run rpm -ivh https://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm return code: 1. Fatal error, see /var/log/installLogs.txt for full details.
    [11.16.2019_15-07-15] [ERROR] We are not able to run rpm -ivh https://rpms.litespeedtech.com/centos/litespeed-repo-1.1-1.el7.noarch.rpm return code: 1.  Fatal error, see /var/log/installLogs.txt for full details.
  • 16-11-2019, 18:33:42
    #3
    alenazte adlı üyeden alıntı
    Kernel sürümü nedir ?
    Linux 4.15.18-11-pve #1 SMP PVE 4.15.18-34
  • 16-11-2019, 18:37:06
    #5
    Dediğiniz kernel sürümüne çekip deniyorum, sonuçları paylaşacağım.

    Teşekkür ederim.



    alenazte adlı üyeden alıntı
    Olmaz 3,10 olacak o yüzden kuramıyorsunuz
    Dalgınlıktan LXC makinenin kernel sürümünü yazmışım, o sanallaştırma yaptığım ana makinenin kerneli.

    Kurmuş olduğum KVM yapısından kernel dediğiniz versiyonda.
  • 16-11-2019, 18:54:04
    #6
    SiberWorld adlı üyeden alıntı
    Dediğiniz kernel sürümüne çekip deniyorum, sonuçları paylaşacağım.

    Teşekkür ederim.





    Dalgınlıktan LXC makinenin kernel sürümünü yazmışım, o sanallaştırma yaptığım ana makinenin kerneli.

    Kurmuş olduğum KVM yapısından kernel dediğiniz versiyonda.
    Yinede olmaz LXC çok başınız ağrır wmware kulanın
    CyberPanel Kurulum ve Sunucu Optimizasyon Hizmeti
  • 16-11-2019, 18:57:47
    #7
    alenazte adlı üyeden alıntı
    Yinede olmaz LXC çok başınız ağrır wmware kulanın
    Proxmox kullanıyorum 3 yıldır herhangi bir sıkıntısını görmedim hocam, vmware bana göre çok hantal bir yapıya sahip.

    LXC resmi destek vermediklerini biraz önce İranlı arkadaştan öğrendim

    KVM yapısından uygulamaya çalışıyorum şuanda zaten LXC'den vazgeçtim.

    Hali-hazırda kullandığım KVM teknolojilerinde cPanel, Plesk ve Windows server sorunsuz şekilde kullanıyorum, hatta CWP'yi LXC'de kullanıyorum

    Sanallaştırma seviyesinde 3 yıldır sorun yaşadığım tek software Cyberpanel oldu diyebilirim.



    Sorun çözülmüştür, soruna sebep olan şey çok ilginçtir ki macOs terminal.

    Termius ile denediğimde hata almadan kurulum işlemini başarıyla tamamladım.